# Class TStructTypeEntry

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TStructTypeEntry

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TStructTypeEntry>`, `org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TStructTypeEntry extends Object implements org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>, Serializable, Cloneable, Comparable<TStructTypeEntry>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TStructTypeEntry._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TStructTypeEntry._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`Map<String,Integer>`
`nameToTypePtr`

## Constructor Summary

Constructors
Constructor
Description
`TStructTypeEntry()`
`TStructTypeEntry(TStructTypeEntry other)`
Performs a deep copy on other.
`TStructTypeEntry(Map<String,Integer> nameToTypePtr)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TStructTypeEntry other)`
`TStructTypeEntry`
`deepCopy()`
`boolean`
`equals(TStructTypeEntry that)`
`boolean`
`equals(Object that)`
`TStructTypeEntry._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TStructTypeEntry._Fields field)`
`Map<String,Integer>`
`getNameToTypePtr()`
`int`
`getNameToTypePtrSize()`
`int`
`hashCode()`
`boolean`
`isSet(TStructTypeEntry._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetNameToTypePtr()`
Returns true if field nameToTypePtr is set (has been assigned a value) and false otherwise
`void`
`putToNameToTypePtr(String key, int val)`
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TStructTypeEntry._Fields field, Object value)`
`TStructTypeEntry`
`setNameToTypePtr(Map<String,Integer> nameToTypePtr)`
`void`
`setNameToTypePtrIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetNameToTypePtr()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### nameToTypePtr

public Map<String,Integer> nameToTypePtr

### metaDataMap

public static final Map<TStructTypeEntry._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TStructTypeEntry

public TStructTypeEntry()

### TStructTypeEntry

public TStructTypeEntry(Map<String,Integer> nameToTypePtr)

### TStructTypeEntry

public TStructTypeEntry(TStructTypeEntry other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TStructTypeEntry deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>`

### getNameToTypePtrSize

public int getNameToTypePtrSize()

### putToNameToTypePtr

public void putToNameToTypePtr(String key, int val)

### getNameToTypePtr

public Map<String,Integer> getNameToTypePtr()

### setNameToTypePtr

public TStructTypeEntry setNameToTypePtr(Map<String,Integer> nameToTypePtr)

### unsetNameToTypePtr

public void unsetNameToTypePtr()

### isSetNameToTypePtr

public boolean isSetNameToTypePtr()
Returns true if field nameToTypePtr is set (has been assigned a value) and false otherwise

### setNameToTypePtrIsSet

public void setNameToTypePtrIsSet(boolean value)

### setFieldValue

public void setFieldValue(TStructTypeEntry._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>`

### getFieldValue

public Object getFieldValue(TStructTypeEntry._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>`

### isSet

public boolean isSet(TStructTypeEntry._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TStructTypeEntry that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TStructTypeEntry other)

Specified by:
  `compareTo` in interface `Comparable<TStructTypeEntry>`

### fieldForId

public TStructTypeEntry._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TStructTypeEntry,TStructTypeEntry._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`